- Qt 5.5
- Qt3D Module
- C++ Classes
- QAspectThread
- Qt 5.5.1 Reference Documentation

# QAspectThread Class

(Qt3D::QAspectThread)

Inherits: |

- List of all members, including inherited members

## Public Functions

| QAspectThread(QObject * parent = 0)
QAspectManager * | aspectManager() const
void | waitForStart(Priority priority)

## Protected Functions

void | run()

## Member Function Documentation

### QAspectThread::QAspectThread(QObject * parent = 0)

### QAspectManager * QAspectThread::aspectManager() const

### `[protected]` void QAspectThread::run()

### void QAspectThread::waitForStart(Priority priority)